apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: kafka-exporter
  namespace: kafka-exporter
spec:
  interval: 5m
  timeout: 10m
  values:
    image:
      repository: cr.yandex/crp3ccidau046kdj8g9q/kafka-exporter
      tag: latest
      pullPolicy: IfNotPresent
    kafkaExporter:
      kafka:
        servers:
          - kafka.kafka.svc.cluster.local:9092
      sasl:
        enabled: false
      tls:
        enabled: false
    prometheus:
      serviceMonitor:
        enabled: true
        namespace: kafka-exporter
        interval: 30s
